package com.caliverse.admin.dynamodb.domain.doc;

import com.caliverse.admin.dynamodb.domain.atrrib.CaliumStorageAttrib;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import software.amazon.awssdk.enhanced.dynamodb.mapper.annotations.DynamoDbAttribute;
import software.amazon.awssdk.enhanced.dynamodb.mapper.annotations.DynamoDbBean;

@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@DynamoDbBean
public class CaliumStorageDoc extends DynamoDBDocBase {
    private CaliumStorageAttrib caliumStorageAttrib;

    public String getAttribFieldName() {
        return "CaliumStorageAttrib";
    }

    @DynamoDbAttribute("CaliumStorageAttrib")
    @JsonProperty("CaliumStorageAttrib")
    public CaliumStorageAttrib getAttribValue() {
        return caliumStorageAttrib;
    }

    public void setAttribValue(CaliumStorageAttrib value) {
        this.caliumStorageAttrib = value;
    }
}

